<?php
    global $post;
?>

<?php do_action( 'dokan_dashboard_wrap_start' ); ?>

<div class="dokan-dashboard-wrap">
    <?php
        /**
         *  dokan_dashboard_content_before hook
         *
         *  @hooked get_dashboard_side_navigation
         *
         *  @since 2.4
         */
        do_action( 'dokan_dashboard_content_before' );
    ?>

    <div class="dokan-dashboard-content">
        
        <?php
            /**
             *  dokan_dashboard_content_before hook
             *
             *  @hooked show_seller_dashboard_notice
             *
             *  @since 2.4
             */

            do_action( 'dokan_eventin_content_inside_before' );

        ?>

        <article class="wpc-content-area">

            <!-- Show response message -->
            <div class="dokan-ajax-response">
                <?php do_action( 'dokan_settings_load_ajax_response' ); ?>
            </div>
            
        </article>

        <!-- .dashboard-content-area -->

        <!-- Start Markup -->
        <div class="etn-mltv-events-wrapper">
            <?php
             if ( dokan_is_seller_enabled( dokan_get_current_user_id() ) ){ ?>
							<?php	if( !empty( $_GET['message'] ) && 'event_deleted' == $_GET['message'] ) : ?>
								<div class="dokan-alert dokan-alert-success">
                    <?php esc_attr_e( 'Event successfully deleted', 'eventin-pro' ); ?>
                </div>
							<?php	endif; ?>
                <div class="etn-mltv-button-wrapper">
                    <a class="etn-btn etn-btn-primary" href="<?php echo esc_url( home_url() . '/dashboard/eventin/create_event' ); ?>"><?php echo esc_html__( 'Add New', 'eventin-pro' ); ?></a>
                </div>
            <?php }else{ ?> 
                <div class="dokan-alert dokan-alert-warning">
                    <strong><?php esc_attr_e( 'Error!', 'eventin-pro' ); ?></strong>
                    <?php esc_attr_e( 'Your account is not enabled for selling, please contact the admin', 'eventin-pro' ); ?>
                </div>
            <?php } ?> 
            
            <?php dokan_product_dashboard_errors(); ?> 
            <div class="etn-mltv-events-list">
                <table>
                    <thead>
                        <?php do_action( 'eventin_dokan_event_list_before_table_head_start' ); ?>
                        <tr>
                            <th><?php echo esc_html__('Id', 'eventin-pro');?></th>
                            <th><?php echo esc_html__('Title', 'eventin-pro');?></th>
                            <th><?php echo esc_html__('Location', 'eventin-pro');?></th>
                            <th><?php echo esc_html__('Date', 'eventin-pro');?></th>
                            <th><?php echo esc_html__('Booked Seats', 'eventin-pro');?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php do_action( 'eventin_dokan_event_list_before_table_body_start' ); ?>

                        <?php
                        $post_statuses  = apply_filters( 'eventin_dokan_event_listing_post_statuses', [ 'publish', 'draft', 'pending', 'future' ] );
                        $args = array(
                            'post_type'      => 'etn',
                            'posts_per_page' => -1,
                            'author'         => get_current_user_id(),
                            'post_status'    => $post_statuses,
                        );

                        $vendor_events = get_posts($args);

                        if ( !empty( $vendor_events ) ) {
                            $row_actions_kses = add_filter( 'dokan_row_actions_kses', function ( $row_actions_kses ) { return $row_actions_kses; } );

                            $event_options  = get_option("etn_event_options");
                            $date_options   = \Etn_Pro\Utils\Helper::get_date_formats();

                            foreach( $vendor_events as $event ) {
                                $id       = $event->ID;

                                $location = '';
                                $location_type    = get_post_meta( $id, 'etn_event_location_type', true );
                                if ( $location_type == 'existing_location' ) {
                                    $location     = get_post_meta($id, 'etn_event_location', true);
                                } else {
                                    $location_arr = maybe_unserialize( get_post_meta($id, 'etn_event_location_list', true) );

                                    if ( !empty( $location_arr ) && is_array( $location_arr ) ) {
                                        $location_names = [];

                                        foreach( $location_arr as $index => $location_slug ) {
                                            $location_details = get_term_by( 'slug',  $location_slug, 'etn_location' );
                                            $location_names[] = $location_details->name;
                                        }

                                        $location = join( ', ', $location_names );
                                    }
                                }
                             
                                $start_date         = get_post_meta( $id, 'etn_start_date', true );
                                $event_start_date   = isset( $event_options["date_format"] ) && $event_options["date_format"] !=='' ? date_i18n( $date_options[$event_options["date_format"]], strtotime( $start_date ) ) : date_i18n( get_option( 'date_format' ), strtotime( $start_date ) );

                                $sold_tickets       = get_post_meta( $id, 'etn_total_sold_tickets', true );
                                $avaiilable_tickets = get_post_meta( $id, 'etn_total_avaiilable_tickets', true );
                                $booked_seats       = absint( $sold_tickets ) . ' / ' . absint( $avaiilable_tickets );
                                
                                add_filter( 'dokan_product_row_actions', function( $row_action_arr, $event_info ) {
                                    if ( is_array( $row_action_arr ) && isset( $row_action_arr['edit'] ) ) {
                                        $row_action_arr['edit']['url'] = home_url() . '/dashboard/eventin/create_event' . '?event_id=' . $event_info->ID;
                                    }

                                    return $row_action_arr;
                                }, 99, 2 );

                                 $row_actions = dokan_product_get_row_action( $event );
                                ?>

                                <tr>
                                    <td>
                                        <?php 
                                        echo sprintf( '<a href="%s" target="_blank">%s</a>', esc_url( get_permalink( $id ) ), esc_html( $id ) );
                                        ?>
                                    </td>
                                    <td>
                                        <?php 
                                        echo esc_html( $event->post_title );  
                                        if ( !empty( $row_actions ) ) { ?>
                                            <div class="row-actions">
                                                <?php echo wp_kses( $row_actions, $row_actions_kses ); ?>
                                            </div>
                                        <?php } ?>
                                    </td>
                                    <td><?php echo esc_html( $location ); ?></td>
                                    <td><?php echo esc_html( $event_start_date ); ?></td>
                                    <td><?php echo esc_html( $booked_seats ); ?></td>
                                </tr>
                                <?php
                            }
                        } else {
                            ?>
                                <tr>
                                    <td colspan="5"><?php esc_html_e( 'No event found', 'eventin-pro' ); ?></td>
                                </tr>
                        <?php } ?>
                    </tbody>
                </table>
            </div>
        </div>
        <!-- End Markup -->


        <?php
            /**
             *  dokan_dashboard_content_inside_after hook
             *
             *  @since 2.4
             */
            do_action( 'dokan_dashboard_content_inside_after' );
        ?>


    </div><!-- .dokan-dashboard-content -->

    <?php
        /**
         *  dokan_dashboard_content_after hook
         *
         *  @since 2.4
         */
        do_action( 'dokan_dashboard_content_after' );
    ?>

    </div><!-- .dokan-dashboard-wrap -->
    
<?php do_action( 'dokan_dashboard_wrap_end' ); ?>