<?php
use Etn\Core\Settings\Settings as SettingsFree;
$settings                            = SettingsFree::instance()->get_settings_option();
$remainder_message                   = isset( $settings['remainder_message'] ) ? $settings['remainder_message'] : '';
$remainder_email_sending_day         = isset( $settings['remainder_email_sending_day'] ) ? $settings['remainder_email_sending_day'] : '';
$invoice_include_event_details       = !empty( $settings['invoice_include_event_details'] ) ? 'checked' : '';
$invoice_include_event_link          = !empty( $settings['invoice_include_event_link'] ) ? 'checked' : '';
?>
<div class="attr-form-group etn-label-item">
    <div class="etn-label">
        <label>
            <?php esc_html_e( 'Reminder Email Sending Time', 'eventin-pro' );?>
        </label>
        <div class="etn-desc"> <?php esc_html_e( 'Reminder email will be sent X day(s) before event starting time', 'eventin-pro' );?> </div>
    </div>
    <div class="etn-meta">
        <input id='remainder_email_sending_day' type="number" value="<?php echo esc_html( $remainder_email_sending_day ); ?>" class="etn-setting-input attr-form-control etn-recaptcha-secret-key" name="remainder_email_sending_day" placeholder="1" min="1" max="365"/>
    </div>
</div>
<div class="attr-form-group etn-label-item etn-label-top">
    <div class="etn-label">
        <label>
            <?php esc_html_e( 'Reminder Email Message', 'eventin-pro' );?>
        </label>
        <div class="etn-desc"> <?php esc_html_e( 'Reminder email message text', 'eventin-pro' );?> </div>
    </div>
    <div class="etn-meta">
        <textarea id='remainder_message' rows="10" cols="5" class="etn-setting-input etn-msg-box attr-form-control etn-recaptcha-secret-key" name="remainder_message"><?php echo esc_html( $remainder_message ); ?></textarea>
    </div>
</div>
<div class="attr-form-group etn-label-item">
    <div class="etn-label">
        <label for="invoice_include_event_details"><?php esc_html_e('Include Event Details in Invoice E-mail', 'eventin-pro'); ?></label>
        <div class="etn-desc"> <?php esc_html_e("Include event details page link, starting and ending date-time details in invoice e-mail.", 'eventin-pro'); ?> </div>
    </div>
    <div class="etn-meta">
        <input id="invoice_include_event_details" type="checkbox" <?php echo esc_html($invoice_include_event_details); ?> class="etn-admin-control-input" name="invoice_include_event_details" />
        <label for="invoice_include_event_details" class="etn_switch_button_label"></label>
    </div>
</div>
