<?php

if (!defined('ABSPATH')) exit;

use \Etn_Pro\Utils\Helper;

$event_options = get_option("etn_event_options");
$show_thumb = isset($show_thumb)? $show_thumb : 'yes';

if ( !empty( $show_child_event ) && 'yes' == $show_child_event ) {
	$post_parent = 'yes';
} else {
	$post_parent = 0;
}

$data = Helper::post_data_query('etn', $event_count, $order, $event_cat, 'etn_category', null, null, $event_tag, $orderby_meta, $orderby,$filter_with_status, $post_parent);
?>
<div class='etn-row etn-event-wrapper etn-event-style1'>
	<?php
	if ( !empty( $data ) ) {

			foreach( $data as $value ) { 
					$social           = get_post_meta( $value->ID, 'etn_event_socials', true);
					$event_location   = get_post_meta( $value->ID, 'etn_event_location', true);
  					$category         =  Helper::cate_with_link( $value->ID, 'etn_category');
					?>
					<div class="etn-col-md-6 etn-col-lg-<?php echo esc_attr( $event_col ); ?>">
							<div class="etn-event-item">
									<div class="etn-row">
											<?php if ( esc_url( get_the_post_thumbnail_url( $value->ID ) ) && $show_thumb == 'yes' ) { ?>
													<div class="etn-col-lg-5">
															<div class="etn-event-thumb">
																	<a href="<?php echo esc_url( get_the_permalink( $value->ID ) ); ?>">
																			<?php echo get_the_post_thumbnail($value->ID, 'full'); ?>
																	</a>
																	<?php if ( $show_category === 'yes' ) : ?>
																			<div class="etn-event-category">
																					<?php echo Helper::kses($category); ?>
																			</div>
																	<?php endif; ?>
															</div>
													</div>
											<?php } ?>
											<!-- thumbnail start-->
											<div class="etn-col-lg-7">

													<!-- content start-->
													<div class="etn-event-content">
															<?php if ( isset( $event_location ) && $event_location != '') { ?>
																	<div class="etn-event-location"><i class="fas fa-map-marker-alt"></i> <?php echo esc_html( $event_location ); ?></div>
															<?php } ?>
															<h3 class="etn-title etn-event-title"><a href="<?php echo esc_url( get_the_permalink( $value->ID ) ); ?>"> <?php echo esc_html( get_the_title( $value->ID ) ); ?></a> </h3>
															<?php if ($show_desc == 'yes') : ?>
																	<p><?php echo esc_html(Helper::trim_words( get_the_excerpt($value->ID) , $desc_limit)); ?></p>
															<?php endif; ?>
															<div class="etn-event-footer">
																	<div class="etn-event-date">
																		<?php
 																			echo esc_html(Helper::etn_display_date($value->ID, 'yes', $show_end_date)); 
																		?>
																	</div>
																	<?php if ($show_btn == 'yes') : ?>
																			<div class="etn-atend-btn">
																					<a href="<?php echo esc_url( get_the_permalink( $value->ID ) ); ?>" class="etn-btn etn-btn-border"><?php echo esc_html( $btn_text ); ?> <i class="fas fa-arrow-right"></i></a>
																			</div>
																	<?php endif; ?>
															</div>
													</div>
													<!-- content end-->
											</div>
									</div>
							</div>
					</div>
					<?php
			}
	}else{
			?>
			<p class="etn-not-found-post"><?php echo esc_html__('No Event Found'); ?></p>
			<?php
	}
	wp_reset_postdata();
	?>
</div>